Patch Compute Network Description

Patch Compute Network Description

Only Solution users, Compute admins, and System admins can patch ComputeNetworkDescriptions.

Request
URI
PATCH
https://{api_host}/container-service/api/resources/compute-network-descriptions/{id}
COPY
Path Parameters
string
id
Required

The id of the ComputeDescription


Request Body

The patch of the ComputeDescription

ComputeNetworkDescription of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "assignment": "string",
    "documentUpdateTimeMicros": "string",
    "external": false,
    "securityGroupLinks": [
        "string"
    ],
    "documentSelfLink": "string",
    "name": "string",
    "tenantLinks": [
        "string"
    ],
    "id": "string",
    "networkType": "string",
    "networkProfileLink": "string"
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
assignment
Optional

assignment

object
constraints
Optional

constraints

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

boolean
external
Optional

external

array of string
securityGroupLinks
Optional

securityGroupLinks

object
customProperties
Optional

customProperties

string
documentSelfLink
Optional

documentSelfLink

string
name
Optional

name

array of string
tenantLinks
Optional

tenantLinks

string
id
Optional

id

string
networkType
Optional

networkType

Possible values are : PUBLIC, ISOLATED,
string
networkProfileLink
Optional

networkProfileLink

Responses
200
Operation doesn't return any data structure